Bug 473146 - nautilus-open-terminal is lost on upgrade
nautilus-open-terminal is lost on upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 14:24 EST by Joachim Backes
Modified: 2010-01-20 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (2.50 KB, application/x-gzip)
2008-12-03 01:15 EST, Joachim Backes
no flags Details
anaconda.syslog (10.44 KB, application/x-gzip)
2008-12-03 01:16 EST, Joachim Backes
no flags Details
/var/log/anaconda.log and /var/log/anaconda.syslog, separated by a ===================== line (93.86 KB, application/octet-stream)
2009-06-11 02:28 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2008-11-26 14:24:56 EST
Description of problem:

I had F9 installed with an additionally installed nautilus-open-terminal. But after an upgrade to F10, open-nautilus-terminal was lost so I had to reinstall it.


Version-Release number of selected component (if applicable):
Anaconda of the F10 DVD


How reproducible:
Did not try


Steps to Reproduce:
1.See above.
2.
3.
  
Actual results:
No more nautilus-open-terminal package


Expected results:
still existing nautilus-open-terminal


Additional info:
Comment 1 Chris Lumens 2008-12-02 12:54:10 EST
Please attach /var/log/anaconda.log and /var/log/anaconda.syslog to this bug report so we can see what might have caused the problem.  Thanks.
Comment 2 Joachim Backes 2008-12-03 01:15:57 EST
Created attachment 325486 [details]
anaconda.log
Comment 3 Joachim Backes 2008-12-03 01:16:58 EST
Created attachment 325487 [details]
anaconda.syslog
Comment 4 Chris Lumens 2008-12-04 17:33:19 EST
Matthias - did anything change with the packaging of nautilus-open-terminal from F9 to F10 that might have caused it to get removed?  Or, did some other package Obsolete it?
Comment 5 Matthias Clasen 2008-12-04 19:18:50 EST
No, and not that I know of.
Comment 6 Joachim Backes 2009-06-11 02:28:33 EDT
Created attachment 347336 [details]
/var/log/anaconda.log and /var/log/anaconda.syslog, separated by a ===================== line
Comment 7 Joachim Backes 2009-06-11 02:29:57 EDT
(In reply to comment #0)
> Description of problem:
> 
> I had F9 installed with an additionally installed nautilus-open-terminal. But
> after an upgrade to F10, open-nautilus-terminal was lost so I had to reinstall
> it.
> 

Having the same problem when upgrading from F10 to F11. The logs have been attached previously (anaoconda-logs)

> 
> Version-Release number of selected component (if applicable):
> Anaconda of the F10 DVD
> 
> 
> How reproducible:
> Did not try
> 
> 
> Steps to Reproduce:
> 1.See above.
> 2.
> 3.
> 
> Actual results:
> No more nautilus-open-terminal package
> 
> 
> Expected results:
> still existing nautilus-open-terminal
> 
> 
> Additional info:
Comment 8 Paul W. Frields 2009-06-11 17:18:27 EDT
The nautilus-open-terminal package is not included on the DVD -- is that relevant?
Comment 9 Joachim Backes 2009-06-12 00:57:52 EDT
I think, yes. I saw a lot of people complaining about a lost "open terminal" menu entry on their desktop.

Me too ;-)
Comment 10 Paul W. Frields 2009-09-09 08:28:09 EDT
The only solution I see for this problem in a DVD-based upgrade is including nautilus-open-terminal on the DVD, but you could say the same thing about any random package a user might have installed.

I think the better solution is avoiding DVD-based upgrades and using preupgrade or a yum upgrade.  Obviously it's too late to do this for F12, but maybe the F13 anaconda should give the user some sort of feedback letting him know that packages were found for which no upgrades are available on the DVD media.  (1) Is that possible?  (2) If so, is there any chance that the upgrade path might make it impossible for the user to bail out and use preupgrade?
Comment 11 Chris Lumens 2009-10-07 11:45:31 EDT
Well, the package being on the DVD really shouldn't matter.  anaconda doesn't just remove packages on upgrade that it can't find an upgrade candidate for.  It only removes a package if that package is obsoleted by something.  Otherwise, it would also remove packages you've built locally and don't have in a repo anaconda knows anything about during installs.

If this still presents itself with F12, please attach /tmp/yum.log to this bug report before you reboot when anaconda finishes and we should be able to debug it from that information.
Comment 12 Bug Zapper 2009-11-16 04:38:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.